{% extends "base.html" %}

{% block title %}
    Project Detail
{% endblock title %}
{% block content %}
    <main>
        <div>
            <h1>{{ project_detail.name }}</h1>
            <p>{{ project_detail.description }}</p>
            <h2>Tasks</h2>
            <a href="{% url 'create_task' %}">Create a new task</a>
            {% if project_detail.tasks.all|length > 0 %}
                <table>
                    <tr>
                        <th>Name</th>
                        <th>Assignee</th>
                        <th>Start date</th>
                        <th>Due date</th>
                        <th>Is completed</th>
                    </tr>
                    {% for task in project_detail.tasks.all %}
                        <tr>
                            <td>{{ task.name }}</td>
                            <td>{{ task.assignee }}</td>
                            <td>{{ task.start_date }}</td>
                            <td>{{ task.due_date }}</td>
                            <td>{{ task.is_completed|yesno:"yes, no" }}</td>
                        </tr>
                    {% endfor %}
                </table>
            {% else %}
                <p>This project has no tasks</p>
            {% endif %}
        </div>
    </main>
{% endblock content %}
